using System;

namespace Vehicle
{
    class Vehicle
    {
        protected string Model;
        protected string Manufacturer;
        protected string Color;

        // Объем двигателя (2,5)
        protected float EngineСapacity;
        // Горючее
        protected float Fuel;
        // Мощьность л/с
        protected int Power;
        // Пройденный путь
        protected int Distance;

        //                      4770
        public void Move(int distance)
        {
            if (distance < 1)
            {
                return;
            }
            float DeltaFuel = EngineСapacity * 0.01f;
            int currentDistance = 0;
            while (currentDistance < distance)
            {
                // 0,1      0,125
                if (Fuel < DeltaFuel)
                {
                    Console.WriteLine("Закончилось горючее у " + Manufacturer + " " + Model);
                    break;
                }
                Fuel -= DeltaFuel;
                Distance++;
                currentDistance++;
            }

            Console.WriteLine(Manufacturer + " " + Model + " проехал " + currentDistance + " метров из " + distance);
        }

        public void FuelUp(float value)
        {
            Fuel += value;
        }
    }
}
